# $Revision: 1.7 $, $Date: 2001/06/17 18:26:26 $
Summary:	Intel IA32 CPU Microcode Utility
Summary(pl):	Aktualizator Mikrokodu Intel IA32 CPU
Name:		microcode_ctl
Version:	1.06
Release:	1
License:	GPL
Group:		Base
Group(de):	Grndstzlich
Group(pl):	Podstawowe
Source0:	http://www.urbanmyth.org/microcode/%{name}-%{version}.tar.gz
Source1:	%{name}.init
URL:		http://www.urbanmyth.org/microcode/
Conflicts:	kernel < 2.2.0
Requires:	rc-scripts
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode_ctl utility is a companion to the IA32 microcode driver.
The utility has two uses: a) it decodes and sends new microcode to the
kernel driver to be uploaded to Intel IA32 family processors. (Pentium
Pro, PII, Celeron, PIII, Xeon Pentium 4 etc.) b) it signals the kernel
driver to release any buffers it may hold

The microcode update is volatile and needs to be uploaded on each
system boot i.e. it doesn't reflash your cpu permanently, reboot and
it reverts back to the old microcode.

%description -l pl
Narzdzie bdce dodatkiem do sterownika mikrokodu IA32. Program
dekoduje i wysa nowy mikrokod do jdra systemu w celu zaadowania go
do jednego z procesorw rodziny IA32 (Pentium Pro, PII, Celeron, PIII,
Xeon, Pentium 4 itd.). Ponadto wysyany jest sygna do jdra by to
zwolnio wszystkie bufory.

Aktualizacja mikrokodu musi by dokonywana po kadym restarcie systemu
tzn. nie jest to trwaa aktualizacja. Po restarcie procesor zawiera
stary mikrokod.

%prep
%setup -q

%build
%{__cc} -Wall -I%{_prefix}/src/linux %{rpmcflags} %{rpmldflags}\
	microcode_ctl.c -o microcode_ctl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install	%{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install intel-ia32microcode-*.txt \
	$RPM_BUILD_ROOT%{_sysconfdir}/microcode.dat

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}

gzip -9nf README Change*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%attr(640,root,root) %config %{_sysconfdir}/microcode.dat
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: microcode_ctl.spec,v $
Revision 1.7  2001/06/17 18:26:26  kloczek
- updated to 1.06.

Revision 1.6  2001/05/31 21:51:54  misiek
- updated to 1.05
- fixed init.d script (stop/reload/restart case)

Revision 1.5  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.4  2001/02/07 20:56:14  kloczek
- very silly bug @#!% :> s/BuildArch/ExclusiveArch/

Revision 1.3  2001/02/07 20:51:20  kloczek
- s/gcc/%{__cc}/

Revision 1.2  2001/02/07 19:57:11  kloczek
- added rc-scripts to Requires and few cosmetics.

Revision 1.1  2001/02/07 16:49:05  misiek
IA32 microcode update utility
